module.exports = {
  create: {
    requestBody: ['title', 'user_name', 'apply_year', 'project_info', 'apply_index', 'status', 'record', 'user_id', 'excel'],
  },
  destroy: {
    params: ['!id'],
    service: 'delete',
  },
  update: {
    params: ['!id'],
    requestBody: ['title', 'user_name', 'apply_year', 'project_info', 'apply_index', 'status', 'record', 'user_id', 'excel'],
  },
  show: {
    parameters: {
      params: ['!id'],
    },
    service: 'fetch',
  },
  index: {
    parameters: {
      query: {
        user_id: 'user_id',
        user_name: 'user_name',
        status: 'status',
        'meta.createdAt@start': 'meta.createdAt@start',
        'meta.createdAt@end': 'meta.createdAt@end',
      },
      // options: {
      //   "meta.state": 0 // 默认条件
      // },
    },
    service: 'query',
    options: {
      query: ['skip', 'limit'],
      sort: ['meta.createdAt'],
      desc: true,
      count: true,
    },
  },
};
