'use strict';
const { CrudService } = require('naf-framework-mongoose-free/lib/service');
const { BusinessError, ErrorCode } = require('naf-core').Error;
const _ = require('lodash');
const assert = require('assert');
const { ObjectId } = require('mongoose').Types;

// 模板
class TemplateService extends CrudService {
  constructor(ctx) {
    super(ctx, 'template');
    this.model = this.ctx.model.Template;
  }

  async toUse({ id }) {
    await this.model.updateMany({}, { is_use: false });
    await this.model.updateOne({ _id: ObjectId(id) }, { is_use: true });
  }
}

module.exports = TemplateService;
