'use strict';
// 路由配置
const routes = [
  { method: 'get', path: '/setting', controller: 'achievementSetting.index', name: 'settingQuery', zh: '绩效设置列表查询' },
  { method: 'post', path: '/setting', controller: 'achievementSetting.create', name: 'settingCreate', zh: '创建绩效设置' },
  { method: 'post', path: '/setting/:id', controller: 'achievementSetting.update', name: 'settingUpdate', zh: '修改绩效设置' },
  // { method: 'delete', path: '/setting/:id', controller: 'achievementSetting.destroy', name: 'settingDelete', zh: '删除绩效设置' },
];

module.exports = app => {
  const { router, config } = app;
  const mwares = app.middleware;
  for (const route of routes) {
    const { method, path, controller: ctl, zh } = route;
    let { middleware = [] } = route;
    if (!method || !path || !ctl) continue;
    // 拼全路径
    const allPath = `${config.routePrefix}${path}`;
    // 处理中间件
    if (middleware.length > 0) middleware = middleware.map(i => mwares[i]());
    // 注册路由
    router[method](zh, allPath, ...middleware, ctl);
  }
};
